### Method

# Gtk TextBuffer backspace

#### Declaration [src]

    gboolean
    gtk_text_buffer_backspace (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      gboolean interactive,
      gboolean default_editable
    )

#### Description [src]

Performs the appropriate action as if the user hit the delete key with the cursor at the position specified by `iter`.

In the normal case a single character will be deleted, but when combining accents are involved, more than one character can be deleted, and when precomposed character and accent combinations are involved, less than one character will be deleted.

Because the buffer is modified, all outstanding iterators become invalid after calling this function; however, the `iter` will be re-initialized to point to the location where text was deleted.

#### Parameters

`iter` | `GtkTextIter`
| A position in `buffer`.
| The data is owned by the caller of the function.
`interactive` | `gboolean`
| Whether the deletion is caused by user interaction.
`default_editable` | `gboolean`
| Whether the buffer is editable by default.

#### Return value

Returns: | `gboolean`
| `TRUE` if the buffer was modified.